% Test for the RNN corresponding to k=10
load('WS_ModelsRNN','MODELNN','DATAKTest','DATAKTrain');
kplus1=11;
datakTest=DATAKTest{kplus1};
mdlNN=MODELNN{kplus1,1};
disp(mdlNN);
uPred=mdlNN.predictFcn(datakTest);
ureal=datakTest{:,3};
Matcomp=[ureal uPred];
disp(Matcomp);

figure(8);
plot(ureal,ureal,'ob',ureal,uPred,'+r');
axis([450 700 450 700]);
title('RNN-Comparison for the sampling period k=10');
xlabel('Real Control Values');
ylabel('Predicted Control Values');
legend('Real values','Predicted values','location','Best');
vrmse=rmse(uPred,ureal)

j=0;
for i=1:60
    if(ureal(i)>=450 && ureal(i)<=700)
        j=j+1;
        urealf(j)=ureal(i);
        upf(j)=uPred(i,1);
    end
end
MatCompf=[urealf' upf'];
disp('MatCompf');
disp(MatCompf);
disp(j)
vrm=mean(urealf)
vpm=mean(upf)
std(urealf)
std(upf)

