load('WS_Modelsw','MODELSW','DATAKTest','DATAKTrain');
load('WSKOEF','KOEF');
kplus1=11;
up=zeros(60,1);
model10=MODELSW{kplus1};
datakTest=DATAKTest{kplus1};
ureal=datakTest{:,3};
%urealf=zeros(60,1);
for i=1:60
 st1=datakTest{i,1};
 st2=datakTest{i,2};
 
 C0=KOEF(kplus1,1);
 C1=KOEF(kplus1,2);
 C2=KOEF(kplus1,3);
 up(i,1)=C0+C1*st1+C2*st2;
end
MatComp=[ureal up];
disp(MatComp);

vrmse=rmse(up,ureal)

figure(7);
plot(ureal,ureal,'ob',ureal,up,'+r');
axis([450 700 450 700]);
title('Comparison for the sampling period k=10');
xlabel('Real Control Values');
ylabel('Predicted Control Values');
legend('Real values','Predicted values','location','Best');





j=0;
for i=1:60
    if(ureal(i)>=450 && ureal(i)<=700)
        j=j+1;
        urealf(j)=ureal(i);
        upf(j)=up(i,1);
    end
end
MatCompf=[urealf' upf'];
disp('MatCompf');
disp(MatCompf);

disp(j)
vm=mean(urealf);

