% Pentru proces cu numai o singura variabila de stare x(1)=x;
% Proces integrat cu functia "BatchPBR8.m";

function vof=RHC_EvalFitnessJ13(cmp,x0,k)
%INPUT cmp: command profile for [k, t_tfin], namely a sequence of q0's values
% that is: cmp(k),...,cmp(t_fin-1)
%OUTPUT: vof (value of objective function)

global K3;
global u_vector;
global t_vector;
global Napel;
global V;
global m0;
global t_fin;
global x00;
al=10.;
be=1.;
% u_vector and t_vector have (t_fin-k) and (t_fin-k+1) elements respectively;
u_vector=cmp;
t_vector=k:1:t_fin;
global command_index;
command_index=1;

    [tv,Y] = ode45('BatchPBR8',t_vector,x0);
% **********************************************
%AICI CALCUL VALOARE FUNCTIE OBIECTIV (vof)
%cu ajutorul starii finale din Y(:) si timpul tv(:)
IndF=length(tv);
LUM=K3*sum(u_vector);
mprod=V*(Y(IndF)-x00);
if mprod >= m0
    
        vof= al*(mprod-m0)+be*LUM; 
else
    vof=inf;  %pt minimizare
end
% **********************************************
Napel=Napel+1;
end
